%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-gnocchi
Version:        10.3.0
Release:        3%{?dist}
Summary:        Puppet module for OpenStack Gnocchi
License:        ASL 2.0

URL:            https://launchpad.net/puppet-gnocchi

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=3345c3e1536fb8239bc65ee308f4de464f251745
Patch0001: 0001-Install-python-redis-when-coordination-is-set.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-stdlib
Requires:       puppet-openstacklib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Gnocchi

%prep
%setup -q -n openstack-gnocchi-%{upstream_version}

%patch0001 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/gnocchi/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/gnocchi/



%files
%{_datadir}/openstack-puppet/modules/gnocchi/


%changelog
* Thu Apr 13 2017 Jon Schlueter <jschluet@redhat.com> 10.3.0-3
- Install python-redis when coordination is set

* Wed Mar 15 2017 Steve Linabery <slinaber@redhat.com> 10.3.0-2
- Update License to ASL 2.0

* Fri Feb 10 2017 Haikel Guemar <hguemar@fedoraproject.org> 10.3.0-1
- Update to 10.3.0


